Bug 1365785 (CVE-2016-6320) - CVE-2016-6320 satellite6: stored XSS while provisioning new host
Summary: CVE-2016-6320 satellite6: stored XSS while provisioning new host
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-6320
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1421803 (view as bug list)
Depends On: 1364235 1369883
Blocks: 1365786 1421804
TreeView+ depends on / blocked
 
Reported: 2016-08-10 08:32 UTC by Martin Prpič
Modified: 2019-09-29 13:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A cross-site scripting (XSS) flaw was found in the "Device Identifier" field of the new host provisioning components of Red Hat Satellite. A user able to create a new host could exploit this flaw to perform XSS attacks against other Satellite users.
Clone Of:
Environment:
Last Closed: 2016-09-19 20:16:15 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-08-10 08:32:56 UTC
A stored cross-site scripting (XSS) flaw was found in the way input was escaped in the "Device Identifier" field when creating a new host in the Satellite web UI.

Comment 1 Martin Prpič 2016-08-10 08:33:05 UTC
Acknowledgments:

Name: Sanket Jagtap (Red Hat)

Comment 2 Martin Prpič 2016-08-10 08:39:31 UTC
Upstream issue:

http://projects.theforeman.org/issues/16022

Upstream patch:

https://github.com/theforeman/foreman/pull/3714

Comment 4 Kurt Seifried 2016-09-19 20:16:15 UTC
This issue was addressed in:

Satellite 6.2

In RHBA-2016:1885

Comment 5 Kurt Seifried 2017-03-18 02:05:59 UTC
*** Bug 1421803 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.